## octave-stk 2.3.3

=== DESCRIPTION ===
Name: STK
#
Version: 2.3.3
#
Date: 11-Oct-2015
#
Title: STK: A Small Toolbox for Kriging
#
Author: See AUTHORS file
#
Maintainer: Julien BECT <julien.bect@supelec.fr>
 and Emmanuel VAZQUEZ <emmanuel.vazquez@supelec.fr>
#
Description:  The STK is a (not so) Small Toolbox for Kriging. Its primary
 focus is on the interpolation/regression technique known as kriging, which
 is very closely related to Splines and Radial Basis Functions, and can be
 interpreted as a non-parametric Bayesian method using a Gaussian Process
 (GP) prior. The STK also provides tools for the sequential and
 non-sequential design of experiments. Even though it is, currently, mostly
 geared towards the Design and Analysis of Computer Experiments (DACE), the
 STK can be useful for other applications areas (such as Geostatistics,
 Machine Learning, Non-parametric Regression, etc.).
#
Url: https://sourceforge.net/projects/kriging/
#
Depends: octave (>= 3.2.2)
#
Autoload: no

=== src/Makefile ===
all: \
 __stk_dist_pairwise__.mex \
 __get_column_number__.mex \
 __stk_dist_matrixy__.mex \
 __stk_filldist_discr_mex__.mex \
 __stk_gpquadform_matrixy__.mex \
 __stk_isdominated_mex__.mex \
 __stk_mindist_mex__.mex \
 __stk_dist_matrixx__.mex \
 __stk_dist_pairwise__.mex \
 __stk_gpquadform_matrixx__.mex \
 __stk_gpquadform_pairwise__.mex \
 __stk_paretofind_mex__.mex \
 __stk_sampling_vdc_rr2__.mex \
 __stk_distrib_bivnorm0_cdf__.mex

__stk_sampling_vdc_rr2__.mex: primes.h

__stk_paretofind_mex__.mex: pareto.h
__stk_isdominated_mex__.mex: pareto.h

MKOCTFILE ?= mkoctfile

__%__.mex: %.c stk_mex.h
	$(MKOCTFILE) --mex --output $@ $<

=== debian/changelog ===
octave-stk (2.3.3-1) unstable; urgency=low

  * Initial release (closes: #799173)

 -- Julien Bect <julien.bect@centralesupelec.fr>  Fri, 20 Nov 2015 11:19:50 +0100

=== debian/control ===
Source: octave-stk
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Julien Bect <julien.bect@centralesupelec.fr>,
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.2), gnuplot-nox
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/stk/
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-stk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-stk.git

Package: octave-stk
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: (not so) Small Toolbox for Kriging
 The STK is a (not so) Small Toolbox for Kriging. Its primary focus
 is on the interpolation/regression technique known as kriging,
 which is very closely related to Splines and Radial Basis
 Functions, and can be interpreted as a non-parametric Bayesian
 method using a Gaussian Process (GP) prior. The STK also provides
 tools for the sequential and non-sequential design of experiments.
 Even though it is, currently, mostly geared towards the Design
 and Analysis of Computer Experiments (DACE), the STK can be useful
 for other applications areas (such as Geostatistics, Machine
 Learning, Non-parametric Regression, etc.). 
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/stk-(.+)\.tar\.gz

## octave-stk 2.3.4

=== src/Makefile ===
--- 
+++ 
@@ -23,3 +23,8 @@
 
 __%__.mex: %.c stk_mex.h
 	$(MKOCTFILE) --mex --output $@ $<
+
+.PHONY: clean
+
+clean:
+	rm -f *.o *.mex

=== debian/changelog ===
octave-stk (2.3.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)

  [ Julien Bect ]
  * Imported Upstream version 2.3.4
  * d/patches/0002: Refresh patch
  * d/patches/0003: Remove patch (no longer needed, applied upstream)
  * d/patches/0004: Remove patch (no longer needed, applied upstream)
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)

 -- Julien Bect <julien.bect@centralesupelec.fr>  Tue, 21 Jun 2016 08:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Julien Bect <julien.bect@centralesupelec.fr>,
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.2), gnuplot-nox
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/stk/
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-stk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-stk.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-stk.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-stk.git
 
 Package: octave-stk
 Architecture: any

## octave-stk 2.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Name: STK
 #
-Version: 2.3.3
+Version: 2.4.2
 #
-Date: 11-Oct-2015
+Date: 16-May-2017
 #
 Title: STK: A Small Toolbox for Kriging
 #
 Author: See AUTHORS file
 #
-Maintainer: Julien BECT <julien.bect@supelec.fr>
- and Emmanuel VAZQUEZ <emmanuel.vazquez@supelec.fr>
+Maintainer: Julien BECT <julien.bect@centralesupelec.fr>
+ and Emmanuel VAZQUEZ <emmanuel.vazquez@centralesupelec.fr>
 #
 Description:  The STK is a (not so) Small Toolbox for Kriging. Its primary
  focus is on the interpolation/regression technique known as kriging, which
@@ -23,6 +23,6 @@
 #
 Url: https://sourceforge.net/projects/kriging/
 #
-Depends: octave (>= 3.2.2)
+Depends: octave (>= 3.2.4)
 #
 Autoload: no

=== debian/changelog ===
octave-stk (2.4.2-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/u/metadata: Add citation
  * Bump debhelper compat level to 10
  * d/control: Build-depends on octave-pkg-dev >= 1.4.4
  * d/u/metadata: Fix Homepage
  * d/u/metadata: Fix URL
  * d/u/metadata: Quote text in Title.
    Thanks to Adreas Tille for the patch
  * Closes: #854448
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * New upstream version 2.4.2
  * d/copyright: reflect upstream changes.
  * d/control: bump Standards-Version to 4.0.0.

  [ Julien Bect ]
  * d/octave-stk.lintian-overrides: Fix typo
  * d/patches/0001: Refresh patch
  * d/patches/0002: Refresh patch
  * d/patches/0004: Remove patch (no longer needed, applied upstream)

 -- Julien Bect <julien.bect@centralesupelec.fr>  Fri, 07 Jul 2017 17:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Julien Bect <julien.bect@centralesupelec.fr>,
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.2), gnuplot-nox
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.4.4), gnuplot-nox
+Standards-Version: 4.0.0
 Homepage: http://octave.sourceforge.net/stk/
 Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-stk.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-stk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-stk.git
 
 Package: octave-stk
 Architecture: any

## octave-stk 2.5.0

=== debian/changelog ===
octave-stk (2.5.0-1) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Julien Bect ]
  * New upstream version 2.5.0
  * d/copyright: Update copyright info
  * d/patches: Remove patch 0001, no longer needed
  * d/patches/0002: update patch
  * d/patches/0003: update patch

 -- Julien Bect <julien.bect@centralesupelec.fr>  Mon, 26 Feb 2018 09:08:11 +0100

octave-stk (2.4.2-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:39:09 -0200

octave-stk (2.4.2-4) unstable; urgency=medium

  * Team upload.

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:50 -0200

octave-stk (2.4.2-3) unstable; urgency=medium

  * Team upload.

  * d/control: Build-depend on octave-pkg-dev > 1.5.2.
    This version of octave-pkg-dev pulls gnuplot-nox.  This later is no
    more needed in the build-dependency list.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Oct 2017 08:47:02 -0200

octave-stk (2.4.2-2) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * d/control: Add Testsuite field
  * d/control: Bump Standards-Version to 4.1.1 (no changes needed)

  [ Julien Bect ]
  * d/patches/0003-Mark-expected-failure.patch: New patch.
    (Closes: #876777)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Oct 2017 19:38:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: octave-stk
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Julien Bect <julien.bect@centralesupelec.fr>,
-Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.4.4), gnuplot-nox
-Standards-Version: 4.0.0
-Homepage: http://octave.sourceforge.net/stk/
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-stk.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-stk.git
+Build-Depends: debhelper (>= 11), dh-octave
+Standards-Version: 4.1.3
+Homepage: https://octave.sourceforge.io/stk/
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-stk.git
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-stk
+Testsuite: autopkgtest-pkg-octave
 
 Package: octave-stk
 Architecture: any

## octave-stk 2.5.1

=== debian/changelog ===
octave-stk (2.5.1-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:53 -0200

octave-stk (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.1

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 03 Jul 2018 05:05:58 -0300

octave-stk (2.5.0-2) unstable; urgency=medium

  * Team upload.

  * d/control:
    + Bump Standards-Version to 4.1.4 (no changes needed)
    + Bump build-dependency on dh-octave to >= 0.5.3.
      This avoids FTBFS when unit tests need to output plot commands.
  * d/p/init-vars-in-compute-decomposition.patch: New patch.
    This is a workaround for avoinding FTBFS against Octave 4.4.
  * d/octave-stk.lintian-overrides: Remove unused overrides

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Jun 2018 16:41:42 -0300

=== debian/control ===
Source: octave-stk
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Julien Bect <julien.bect@centralesupelec.fr>,
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.5.3)
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/stk/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-stk.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-stk
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-stk
Architecture: any
Depends: ${misc:Depends},
         ${octave:Depends},
         ${shlibs:Depends}
Description: (not so) Small Toolbox for Kriging
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-stk 2.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Name: STK
 #
-Version: 2.4.2
+Version: 2.6.1
 #
-Date: 16-May-2017
+Date: 2019-10-12
 #
 Title: STK: A Small Toolbox for Kriging
 #
-Author: See AUTHORS file
+Author: See AUTHORS.md file
 #
 Maintainer: Julien BECT <julien.bect@centralesupelec.fr>
  and Emmanuel VAZQUEZ <emmanuel.vazquez@centralesupelec.fr>
@@ -21,8 +21,10 @@
  STK can be useful for other applications areas (such as Geostatistics,
  Machine Learning, Non-parametric Regression, etc.).
 #
+License: GPLv3+
+#
 Url: https://sourceforge.net/projects/kriging/
 #
-Depends: octave (>= 3.2.4)
+Depends: octave (>= 3.8.0)
 #
 Autoload: no

=== debian/changelog ===
octave-stk (2.6.1-5build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:36:53 +0000

octave-stk (2.6.1-5) unstable; urgency=medium

  * Team upload
  * This version builds correctly against Octave 6 (Closes: #976206)
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 13:40:56 -0300

octave-stk (2.6.1-4) unstable; urgency=medium

  * Team upload

  * d/octave-secs2d.lintian-overrides: New file.
    Add override for Lintian false positive warning
    debian-changelog-file-is-a-symlink.
  * d/control: Build-depend on dh-octave >= 1.0.2.
    This ensures that the upstream ChangeLog.gz file has maximum
    compression level.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 17:20:14 -0300

octave-stk (2.6.1-3) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/p/0003-Mark-expected-failure.patch: Set Forwarded:not-needed
  * d/octave-stk.lintian-overrides: Rename tag
    shared-library-lacks-prerequisites

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 13:07:37 -0300

octave-stk (2.6.1-2) unstable; urgency=medium

  * Team upload

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.
  * d/octave-stk.lintian-overrides: Ignore Lintian warning
    shared-lib-without-dependency-information.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 03:41:25 -0300

octave-stk (2.6.1-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.6.1
  * d/p/0002-Remove-the-MOLE.patch: Refresh for new upstream version
  * d/p/0003-Mark-expected-failure.patch: Refresh for new upstream version
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 24 Oct 2019 13:33:11 -0300

octave-stk (2.6.0-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.6.0
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * d/u/metadata: Update for new upstream version

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Sep 2019 13:51:35 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Julien Bect <julien.bect@centralesupelec.fr>,
-Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.3)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 1.0.2)
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/stk/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-stk.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-stk

## octave-stk 2.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Name: STK
 #
-Version: 2.6.1
+Version: 2.7.0
 #
-Date: 2019-10-12
+Date: 2022-02-23
 #
 Title: STK: A Small Toolbox for Kriging
 #
@@ -23,8 +23,8 @@
 #
 License: GPLv3+
 #
-Url: https://sourceforge.net/projects/kriging/
+Url: https://github.com/stk-kriging/stk/
 #
-Depends: octave (>= 3.8.0)
+Depends: octave (>= 4.0.0)
 #
 Autoload: no

=== src/Makefile ===
--- 
+++ 
@@ -12,18 +12,25 @@
  __stk_gpquadform_pairwise__.mex \
  __stk_paretofind_mex__.mex \
  __stk_sampling_vdc_rr2__.mex \
- __stk_distrib_bivnorm0_cdf__.mex
+ __stk_sampling_sobol_mex__.mex \
+ __stk_distrib_bivnorm0_cdf__.mex \
+ __stk_dominatedhv_mex__.mex
+
+__%__.mex: stk_mex.h
 
 __stk_sampling_vdc_rr2__.mex: primes.h
-
 __stk_paretofind_mex__.mex: pareto.h
 __stk_isdominated_mex__.mex: pareto.h
+__stk_dominatedhv_mex__.mex: wfg.h
 
 MKOCTFILE ?= mkoctfile
 
-__%__.mex: %.c stk_mex.h
+__%__.mex: %.c
 	$(MKOCTFILE) --mex --output $@ $<
 
+__stk_dominatedhv_mex__.mex: stk_dominatedhv_mex.c wfg.c
+	$(MKOCTFILE) --mex --output $@ $< wfg.c
+	
 .PHONY: clean
 
 clean:

=== debian/changelog ===
octave-stk (2.7.0-3) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 20:02:30 -0300

octave-stk (2.7.0-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Sébastien Villemot ]
  * octave7.patch: new patch, fixes FTBFS against Octave 7 (Closes: #1009136)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 19 Apr 2022 15:10:14 +0200

octave-stk (2.7.0-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.7.0
  * d/p/0002-Remove-the-MOLE.patch: Drop patch (applied upstream)
  * d/p/0003-Mark-expected-failure.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Mar 2022 03:37:21 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Julien Bect <julien.bect@centralesupelec.fr>,
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.0.2)
-Standards-Version: 4.5.1
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/stk/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-stk.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-stk

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/stk/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/stk-(.+).tar.gz

## octave-stk 2.8.1

=== debian/changelog ===
octave-stk (2.8.1-3) unstable; urgency=medium

  * Team upload

  * d/rules: Drop addition of -fexceptions to DEB_CFLAGS_MAINT_APPEND.
    This is not necessary anymore with version 9.2 of Octave

 -- Rafael Laboissière <rafael@debian.org>  Wed, 19 Jun 2024 07:51:42 -0300

octave-stk (2.8.1-2) unstable; urgency=medium

  * Team upload

  * d/rules: Add -fexceptions to CFLAGS (Closes: #1069477)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 24 May 2024 04:19:12 -0300

octave-stk (2.8.1-1) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * New upstream version 2.8.1
    Fixes testsuite with Octave 8 (Closes: #1040131)
  * octave7.patch: drop patch, no longer needed

  [ Rafael Laboissière ]
  * d/copyright: Update Source URL

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 02 Jul 2023 11:35:13 +0200

octave-stk (2.8.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

  * d/u/metadata:
    + Update Bug-{Database,Submit} URLs
    + Add Changelog and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 09:51:36 -0300

octave-stk (2.8.0-1) experimental; urgency=medium

  * Team upload

  * New upstream version 2.8.0
  * d/watch: Update tarball link
  * d/control:
    + Update Homepage
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright: Reflect upstream changes
  * d/octave-stk.lintian-overrides:
    + Update for new syntax (file names inside square brackets)
    + Override Lintian error library-not-linked-against-libc
  * d/s/lintian-overrides: Drop obsolete file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 19 Mar 2023 11:53:21 -0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Julien Bect <julien.bect@centralesupelec.fr>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/stk/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/stk/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-stk.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-stk
 Testsuite: autopkgtest-pkg-octave

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/stk/ \
  https://github.com/stk-kriging/stk/releases/download/(.+)/stk-.*-octpkg.tar.gz
